<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.pacientesPregunta.home.createOrEditLabel"
          data-cy="PreguntaCreateUpdateHeading"
          v-text="$t('gatewayApp.pacientesPregunta.home.createOrEditLabel')"
        >
          Create or edit a Pregunta
        </h2>
        <div>
          <div class="form-group" v-if="pregunta.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="pregunta.id" readonly />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPregunta.pregunta')" for="pregunta-pregunta">Pregunta</label>
            <input
              type="text"
              class="form-control"
              name="pregunta"
              id="pregunta-pregunta"
              data-cy="pregunta"
              :class="{ valid: !$v.pregunta.pregunta.$invalid, invalid: $v.pregunta.pregunta.$invalid }"
              v-model="$v.pregunta.pregunta.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.pacientesPregunta.condicion')" for="pregunta-condicion"
              >Condicion</label
            >
            <select class="form-control" id="pregunta-condicion" data-cy="condicion" name="condicion" v-model="pregunta.condicion">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="pregunta.condicion && condicionOption.id === pregunta.condicion.id ? pregunta.condicion : condicionOption"
                v-for="condicionOption in condicions"
                :key="condicionOption.id"
              >
                {{ condicionOption.condicion }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.pregunta.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./pregunta-update.component.ts"></script>
